using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class updatetableRetirementResignsaddOfficerReject : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "OfficerApproveReason",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "เหตุผลอนุมัติการเจ้าหน้าที่")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<bool>(
                name: "OfficerReject",
                table: "RetirementResigns",
                type: "tinyint(1)",
                nullable: true,
                comment: "สถานะยับยั้งการเจ้าหน้าที่");

            migrationBuilder.AddColumn<DateTime>(
                name: "OfficerRejectDate",
                table: "RetirementResigns",
                type: "datetime(6)",
                nullable: true,
                comment: "วันที่ยับยั้งการเจ้าหน้าที่");

            migrationBuilder.AddColumn<string>(
                name: "OfficerRejectReason",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "เหตุผลยับยั้งการเจ้าหน้าที่")
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "OfficerApproveReason",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "OfficerReject",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "OfficerRejectDate",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "OfficerRejectReason",
                table: "RetirementResigns");
        }
    }
}
